View Issue Details

IDProjectCategoryView StatusLast Update
0000223Cinelerra-GG[All Projects] Bugpublic2019-06-02 00:35
ReporterPierreAssigned ToPhyllisSmith 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platformi7-3770k, 32GB(ram), GTX-750TiOSLinux Mint MateOS Version18.3
Product Version 
Target VersionFixed in Version2019-05 
Summary0000223: The Command Shell button reference documents are not up to date.
DescriptionThe button in the upper right corner of the CinGG main window (timeline) refers to outdated documents:
-Feature5
-Online Help (from the CinCV website)
-Original Manual (SECRETS OF CINELERRA of... Cinelerra 4.1)

The new CinGG Unified Manual is not there.
TagsNo tags attached.

Activities

PhyllisSmith

PhyllisSmith

2019-06-02 00:35

manager   ~0001631

The fix is now in the 05312019 builds. New $HOME/.bcast5 users will only see:
  Current Manual
  Setting Shell Commands
  Shortcuts
  RenderMux
Anyone who wants this updated in their currently existing $HOME/.bcast5/Cinelerra_rc file can manually edit that file and delete the lines that are all grouped together that begin with the letters: SHBTN (the entire line - these are the SHell BuTtoNs). But if you have created any of your own shell scripts, do not delete these or else you will have to re-add them. You should first Quit out of Cinelerra, edit the file, and then when you restart Cinelerra, it will create the new default buttons in that same file.
PhyllisSmith

PhyllisSmith

2019-05-30 03:36

manager   ~0001620

This change was checked into GIT late today. However, the $HOME/.bcast5/Cinelerra_rc contains the user's current definition for the Shell Buttons (if you edit that file, you will see SHBTNS_TOTAL 6 ... SHBTN0... SHBTN5 lines). And if the user has added their own buttons, some more as SHBTN6...

When we change the commands in the currently defined Shell Commands, we do not want to wipe out a user's own commands, so we can not automatically update the Cinelerra_rc file. That means new users will see the new Shell Commands or if you delete your individual Cinelerra_rc file with Cinelerra not running, and when you restart you will have the new Shell Commands BUT LOSE ALL OF YOUR PREFERENCES, which you probably do not want to do.

There is a method to correct this by instead directly editing your $HOME/.bcast5/Cinelerra_rc file instead. If anyone is really interested, I can document this.
PhyllisSmith

PhyllisSmith

2019-05-29 18:54

manager   ~0001610

Good spot! I will try to see if I can get this fixed before the monthly builds. I want to change it to only point to the online GG manual now and none of the other 3 listed.

Issue History

Date Modified Username Field Change
2019-05-29 18:00 Pierre New Issue
2019-05-29 18:17 Pierre Summary The Command Shell reference documents are not up to date. => The Command Shell button reference documents are not up to date.
2019-05-29 18:52 PhyllisSmith Assigned To => PhyllisSmith
2019-05-29 18:52 PhyllisSmith Status new => assigned
2019-05-29 18:54 PhyllisSmith Status assigned => acknowledged
2019-05-29 18:54 PhyllisSmith Note Added: 0001610
2019-05-30 03:36 PhyllisSmith Note Added: 0001620
2019-06-02 00:35 PhyllisSmith Status acknowledged => resolved
2019-06-02 00:35 PhyllisSmith Resolution open => fixed
2019-06-02 00:35 PhyllisSmith Fixed in Version => 2019-05
2019-06-02 00:35 PhyllisSmith Note Added: 0001631